%define pkg_name        Compress-LeadingBlankSpaces
%define pkg_version     0.06
%define rpm_pkg_version 0.06
%define rpm_pkg_release 5.n0i.11

Summary:       Perl class to compress leading blank spaces in web content
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SL/SLAVA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test)}


%description
This class provides the functionality for the most simple web content
compression.

Basically, the outgoing web content (HTML, JavaScript, etc.) consists of
many leading blank spaces, because of being structured on development stage.
Usually, the client browser ignores leading blank spaces. Indeed, the amount
of those blank spaces is big enough, and could be estimated as 10 to 20
percent of the length of regular commercial web page. We can reduce this
part of web traffic on busy production servers with no visible impact on
transferred web content, especially for those old browsers who do not
understand the modern content compression, like gzip format.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.06-5.n0i.11
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.06-4.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.06-3.n0i.9
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.06-3.n0i.8
- version 0.06

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:0.04-2.n0i.7
- version 0.04

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.03-1.n0i.6
- automatic rebuild

* Thu Apr 22 2004 Marius FERARU <altblue@n0i.net> 0:0.03-1.n0i.5
- version 0.3

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:0.02-1.n0i.4
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:0.02-1.n0i.3
- version 0.02
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.01-0.n0i.2
- version 0.01
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 0.01-0.n0i
- Initial build.
